import {Route} from '@extollo/lib'
import {Home} from "../controllers/main/Home.controller";
import {AuthRequiredMiddleware} from "@extollo/lib/lib/auth/middleware/AuthRequiredMiddleware";

Route.group('/', () => {
    Route.get('/')
        .calls<Home>(Home, home => home.welcome)

    Route.get('/dash')
        .pre(AuthRequiredMiddleware)
        .calls<Home>(Home, home => home.welcome)
})

// BasicLoginController.routes()
